Page 1 of 2 12 LastLast
Results 1 to 10 of 41

Thread: Working Catalina solution for the impatient

Hybrid View

Previous Post Previous Post   Next Post Next Post
  1. #1
    Join Date
    May 2019
    Posts
    24

    Default Working Catalina solution for the impatient

    Hi all,

    as CodeWeavers CrossOver 19 is in the Beta phase and as far as I know, everything works, I'd like to start this thread to help others make this work.

    1. You need to get your hands on the Beta version of CrossOver. To do this, register at https://www.codeweavers.com/compatibility/beta as a Beta tester. It's a simple procedure, you shouldn't have to pay anything. First you need to sign up as a new user and then become a beta tester. Then you can download the beta, it's one zip file, which you simply unpack into the Applications folder.

    2. After you run the program, you will probably need to log into your CodeWeavers account to make it work.

    3. Then you need to install BibleWorks 10. If you're not sure, how to do it, look here: https://www.codeweavers.com/support/...ial/alistedapp
    As there is no preset, you can use one for the previous version, just direct the installer to the installation file in the connected ISO of the install DVD. The important thing is: don"t use 64-bit bottles. I tested the Windows 7 (32-bit) bottle and everything runs just fine.

    4. If someone needs the Central European language version, let me know. You just need to install and use an ANSI CP1250 font file, but they're not exactly lying around the internet, so I had to prepare my own.

    Some final remarks:
    • If you have a problem getting the Beta version, I can send the file. I just don't want to go round CodeWeavers' back right away.
    • If you see any bug in the Beta, please report it to CodeWeavers. Not just in BW, of course. You will help also other people by doing that.
    • Eventually, the Beta will stop working. Then you will have to pay for the program or use other solution to get the full version (there is even a legal solution to do it for free).
    • This new version of CrossOver will eventually come out as a new version of Wine. As far as I know, there is no timeline yet, but I don't think CodeWeavers will rush to do this, for business reasons. But it will happen. So you can just wait.
    • If you have further questions, just ask. Good luck

  2. #2
    Join Date
    Apr 2004
    Posts
    312

    Default

    In addition to the above, WordSearch uses the same company to provide access to their windows program on a mac. They are indicating that it will be another 4-5 weeks before their program will be Catalina compliant. Probably the time the beta program goes gold.

  3. #3
    Join Date
    Aug 2017
    Posts
    17

    Default Using Crossover with Catalina

    Thank you for this info! I am still in Mojave because I don't want to lose access to my BW. So can I sign up for Beta testing for Crossover, set it up and THEN upgrade to Catalina, or do I have to first upgrade to Catalina? Christine

  4. #4
    Join Date
    May 2019
    Posts
    24

    Default

    Quote Originally Posted by driessencsb View Post
    Thank you for this info! I am still in Mojave because I don't want to lose access to my BW. So can I sign up for Beta testing for Crossover, set it up and THEN upgrade to Catalina, or do I have to first upgrade to Catalina? Christine
    Hi Christine,
    it doesn't really matter in what order you do this. The Beta comes in a zip file, which you simply unpack into the Application folder or any other desired location. I upgraded first, then I was able to install an older version of CrossOver anyway, so this shouldn't be an issue.
    Cheers, Jiř.

  5. #5
    Join Date
    Aug 2017
    Posts
    17

    Default Catalina and crossover

    I thought crossover was designed to allow windows versions to work on a Mac, but I have a Mac version of BW10 that I want to make work with Catalina. Will crossover work with Mac programs which don't have the 64bit or whatever it is that is missing?

  6. #6
    Join Date
    May 2019
    Posts
    24

    Default

    Quote Originally Posted by driessencsb View Post
    I thought crossover was designed to allow windows versions to work on a Mac, but I have a Mac version of BW10 that I want to make work with Catalina. Will crossover work with Mac programs which don't have the 64bit or whatever it is that is missing?
    Exactly. CrossOver is an interface for windows programs to run on Mac. You don't actually have a Mac version of BW10 as nothing like this has ever existed, you have a windows version of BW10 in a standalone CrossOver bottle, however the older CrossOver version used there doesn't work on Catalina. I asked Mike if they plan to update this Mac distribution once a functional CrossOver distribution becomes available, but he hasn't responded yet...

    No, CrossOver will most definitely not work with any Mac program, be it 32-bit or PowerPC. It is just a windows interface for Mac, which is designed to run windows programs "natively" on mac without the need of a virtual machine and an extra windows installation.

  7. #7
    Join Date
    May 2007
    Posts
    1

    Question Popup window on install of CodeWeavers: "This is a limited trial version of CrossOver

    Quote Originally Posted by Fantomas View Post
    Hi all,
    You need to get your hands on the Beta version of CrossOver. To do this, register at https://www.codeweavers.com/compatibility/beta as a Beta tester. It's a simple procedure, you shouldn't have to pay anything. First you need to sign up as a new user and then become a beta tester. Then you can download the beta, it's one zip file, which you simply unpack into the Applications folder.
    When I went through the install process for the Beta version, it gave me a popup window with the message: "This is a time limited trial version of CrossOver. It will stop working in 14 days." Is that the case with a BetaVersion? I don't want to go through the hassle of installing it and then having to pay $59 per year until Jesus comes back. (This is the price of the Crossover 18 version).

  8. #8
    Join Date
    May 2019
    Posts
    24

    Default

    They want to release the final version of CrossOver 19 this week, so maybe that's why you saw this message.
    You have several options:
    • You don't really need the subscription. You can buy just one version. This option is currently not available, but I guess this will soon change.
    • There are quite frequently discounts. So you may get it cheaper than $60.
    • Although I don't encourage you to do this, sooner or later this CrossOver 19 will be available from pirates, so full version for free. As I said, I don't encourage anyone to do this as I think people should be payed for good work. Yet it could be an option for someone.
    • Also in like 2 years, there will be a new version of wine, which will solve this problem in a different way. And it will be free.

  9. #9
    Join Date
    Aug 2017
    Posts
    17

    Default CodeWeavers CrossOver Beta3 - Not installing!

    I downloaded the Crossover Beta3 and then used it try to install my BW10 on my MacBook Air with Catalina OS. First it asked me which program I wanted to install: Bible Works (Legacy) or Bible Works 9. Legacy is for 8 or earlier. So I wrote in BibleWorks 10 and it said it would have to do a special installation. I proceeded and the blue line froze half way across and stayed there for a couple of hours. I wrote them, and the they said I should close it out for now. However, even after closing out Crossover, I cannot eject my BW jump drive. It keeps saying it is still in use and if I force eject it, it could mess up the info on the jump drive! Now what do I do?

  10. #10
    Join Date
    Aug 2017
    Posts
    17

    Default Catalina, BW10 and Crossover - not installing - continued

    Is it possible that my jump drive is BW9 and then when BW10 came out, they simply had me upgrade it with an online download, so that I could try installing it as a BW9? Does anybody know?

    Although I have purchased Accordance, it is so different that I don't have time to learn it right now and want to keep using my BW.

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •